Bug 973100 (CVE-2013-2164) - CVE-2013-2164 Kernel: information leak in cdrom driver
Summary: CVE-2013-2164 Kernel: information leak in cdrom driver
Status: CLOSED ERRATA
Alias: CVE-2013-2164
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130606,reported=2...
Keywords: Security
Depends On: 973103 973104 973105 973106 973107 973108 973109
Blocks: 973061
TreeView+ depends on / blocked
 
Reported: 2013-06-11 09:44 UTC by Prasad J Pandit
Modified: 2015-07-31 07:07 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 05:08:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1166 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-20 22:56:21 UTC
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC

Description Prasad J Pandit 2013-06-11 09:44:21 UTC
Linux kernel built with a cdrom drive support is vulnerable to an information
leakage flaw. It could occur while performing cdrom_ioctl operations via
generic_packet() interface.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/cdrom/cdrom.c?id=050e4b8fb7cdd7096c987a9cd556029c622c7fe2

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/06/06/3

Comment 3 Prasad J Pandit 2013-06-11 09:56:45 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 973109]

Comment 4 Prasad J Pandit 2013-06-11 09:58:22 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future kernel
updates for Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2 may
address this issue.

Comment 5 Fedora Update System 2013-06-13 06:05:36 UTC
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-06-14 04:52:00 UTC
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-01 01:32:39 UTC
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2013-08-20 18:58:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html

Comment 9 errata-xmlrpc 2013-09-16 17:09:20 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Comment 10 errata-xmlrpc 2013-11-21 18:59:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html


Note You need to log in before you can comment on or make changes to this bug.